#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire3300six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 3300"/> 
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire3300six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six33004xi


# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six33004xi = {
                1:'-1029x2984y-961z',
                2:'-1033x1936y-2463z',
                3:'-1120x1858y-2485z',
                4:'-1136x2915y-1046z',
                5:'-1180x2917y-992z',
                6:'-1202x1777y-2507z',
                7:'-1278x1691y-2528z',
                8:'-1283x2842y-1078z',
                9:'-1327x2842y-1024z',
                10:'-1349x1602y-2549z',
                11:'-1413x1511y-2570z',
                12:'-1425x2761y-1109z',
                13:'-1469x2759y-1055z',
                14:'-1472x1417y-2590z',
                15:'-1524x1321y-2611z',
                16:'-1562x2673y-1140z',
                17:'-1571x1223y-2631z',
                18:'-1606x2670y-1086z',
                19:'-1611x1124y-2651z',
                20:'-1645x1024y-2670z',
                21:'-164x1298y-3029z',
                22:'-1661x55y-2850z',
                23:'-1673x924y-2689z',
                24:'-1684x144y-2833z',
                25:'-1693x2578y-1171z',
                26:'-1695x823y-2708z',
                27:'-1702x236y-2816z',
                28:'-1711x723y-2727z',
                29:'-1715x330y-2799z',
                30:'-1720x623y-2745z',
                31:'-1722x426y-2781z',
                32:'-1724x524y-2764z',
                33:'-1737x2573y-1117z',
                34:'-1819x2476y-1201z',
                35:'-1863x2469y-1148z',
                36:'-1938x2368y-1232z',
                37:'-1982x2359y-1179z',
                38:'-2051x2254y-1263z',
                39:'-2082x2559y-9z',
                40:'-2094x2244y-1210z',
                41:'-2157x2135y-1293z',
                42:'-2200x2122y-1240z',
                43:'-2213x2447y-42z',
                44:'-2256x2010y-1323z',
                45:'-227x1258y-3042z',
                46:'-2299x1996y-1271z',
                47:'-2338x2327y-75z',
                48:'-2348x1881y-1354z',
                49:'-2390x1865y-1301z',
                50:'-2432x1748y-1384z',
                51:'-2455x2201y-108z',
                52:'-2474x1730y-1332z',
                53:'-2509x1610y-1413z',
                54:'-2549x1591y-1362z',
                55:'-2566x2069y-141z',
                56:'-2577x1470y-1443z',
                57:'-2617x1449y-1392z',
                58:'-2637x1326y-1473z',
                59:'-2670x1931y-174z',
                60:'-2690x1180y-1502z',
                61:'-2734x1033y-1532z',
                62:'-2758x1343y-1465z',
                63:'-2766x1787y-207z',
                64:'-2769x883y-1561z',
                65:'-2796x733y-1590z',
                66:'-2815x583y-1619z',
                67:'-2822x133y-1704z',
                68:'-2826x432y-1647z',
                69:'-2828x282y-1676z',
                70:'-2853x1639y-240z',
                71:'-285x1215y-3054z',
                72:'-291x2344y-2304z',
                73:'-2933x1486y-273z',
                74:'-3004x1329y-306z',
                75:'-3067x1169y-338z',
                76:'-3120x1006y-371z',
                77:'-3165x840y-404z',
                78:'-3200x672y-437z',
                79:'-3227x503y-469z',
                80:'-3244x333y-502z',
                81:'-3252x163y-535z',
                82:'-340x1169y-3067z',
                83:'-348x3158y-889z',
                84:'-391x1120y-3079z',
                85:'-409x2303y-2327z',
                86:'-437x1070y-3090z',
                87:'-453x13y-3268z',
                88:'-479x1017y-3102z',
                89:'-484x40y-3263z',
                90:'-512x3127y-920z',
                91:'-514x70y-3258z',
                92:'-517x964y-3113z',
                93:'-524x2255y-2350z',
                94:'-542x103y-3253z',
                95:'-551x909y-3124z',
                96:'-554x3135y-866z',
                97:'-567x139y-3247z',
                98:'-580x853y-3134z',
                99:'-590x177y-3241z',
                100:'-605x796y-3144z',
                101:'-610x219y-3235z',
                102:'-625x739y-3154z',
                103:'-628x263y-3228z',
                104:'-635x2202y-2373z',
                105:'-642x310y-3221z',
                106:'-642x682y-3164z',
                107:'-653x358y-3214z',
                108:'-653x626y-3173z',
                109:'-661x409y-3206z',
                110:'-661x570y-3182z',
                111:'-665x461y-3199z',
                112:'-665x515y-3190z',
                113:'-673x3087y-952z',
                114:'-715x3093y-897z',
                115:'-741x2143y-2396z',
                116:'-831x3038y-984z',
                117:'-843x2079y-2419z',
                118:'-874x3043y-929z',
                119:'-941x2010y-2441z',
                120:'-985x2981y-1015z',
                121:'-98x1335y-3015z'}


#"
#"/>
    

# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire3300six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire3300six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE3300SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE3300SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE3300SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE3300SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE3300SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six33004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE3300SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE3300SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE3300SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six3300x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six3300x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE3300SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE3300SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE3300SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire3300six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
